.TH setnetent() "" "" "Sockets Function (libsocket)"
.PC "Open and rewind file /etc/networks"
.PP
.B "#include <netdb.h>"
\fBint setnetent(\fIstayopen\^\fB)\fR
\fBint \fIstayopen\^\fB;\fR
.PP
Function
.B setnetent()
opens or rewinds file
.BR /etc/networks ,
which describes all entities on your local network.
If flag
.I stayopen
is set to a non-zero value,
.B /etc/networks
is not closed after each call to
.B getnetbyaddr()
or
.BR getnetbyname() .
.SH "See Also"
.Xr "endnetent()," endnetent
.Xr "getnetbyaddr()," getnetbya
.Xr "getnetbyname()," getnetbyn
.Xr "getnetent()," getnetent
.Xr "libsocket," libsocket
.Xr "netdb.h" netdb.h
